Skip to main content

POST purchaseorder/delete

POST 

/purchaseorder/delete

Delete a purchase order, or some of its items.

IMPORTANT NOTE

Calling Delete on a partially completed (Yellow) PurchaseOrder will result in the PurchaseOrder being adjusted to match any booked stock and set to Completed (Green).

To delete a purchase-order provide only purchase-order id, if red/yellow will do a full/partial delete respectively.

To delete purchase-order-item(s) provide purchase-order id and array of SKUs to be deleted. Red/yellow rules apply.

Green rules This purchase-order matches completely with all received goods. Each and every purchase-order-item is matched completely to incoming goods. There are no actions open for this purchase-order.

  • Edit of purchase-order allowed: NO
  • Delete of purchase-order allowed: NO
  • Edit of purchase-order-item allowed: NO
  • Delete of purchase-order-item allowed: NO
  • Adding purchase-order-item allowed: NO

Yellow rules This purchase-order is not complete: not all expected goods have been delivered, but there is at least one purchase-order-item that has goods (partially) delivered.

  • Edit of purchase-order allowed: YES (only comment and reference, not expected date)
  • Delete of purchase-order allowed: NO
  • Edit of purchase-order-item allowed: YES (if new expected quantity for this purchase-order-item >= already booked)
  • Delete of purchase-order-item allowed: YES (if no goods booked on this purchase-order-item, otherwise set to booked value)
  • Adding purchase-order-item allowed: YES

Red rules This purchase-order is new: no goods have been received for this purchase-order.

  • Edit of purchase-order allowed: YES (reference, comment and expected date)
  • Delete of purchase-order allowed: YES
  • Edit of purchase-order-item allowed: YES
  • Delete of purchase-order-item allowed: YES
  • Adding purchase-order-item allowed: YES

Request​

Responses​